#version 330
// From vertex shader
in vec2 texcoord;

// Application data
uniform sampler2D samplerColor;
uniform sampler2D samplerMask;
uniform vec3 fcolor;

// Output color
layout(location = 0) out  vec4 color;

void main()
{
  vec4 tex = texture(samplerColor, vec2(texcoord.x, texcoord.y));
  color = vec4(fcolor, tex.a);

  // to use mask instead of texture alpha
  //vec4 mask = texture(samplerMask, vec2(texcoord.x, texcoord.y));
  //color = vec4(fcolor, tex.a * mask.r);
}
